---
- name: $ARGO_APP_BRANCH
  app: badhouseplants
  branch: $ARGO_APP_BRANCH
  commit_sha: $ARGO_APP_IMAGE_TAG
  chart_version: $ARGO_APP_CHART_VERSION
  repo_url: https://git.badhouseplants.net/api/packages/badhouseplants/helm
  value: |
    namespace:
      name: badhouseplants-$ARGO_APP_BRANCH
      labels:
        istio-injection: disabled
    istio:
      hosts:
        - $ARGO_APP_HOSTNAME
      annotations:
        link.argocd.argoproj.io/env: https://$ARGO_APP_HOSTNAME/
        link.argocd.argoproj.io/remark42: https://remark42-$ARGO_APP_HOSTNAME/web
        link.argocd.argoproj.io/build: $DRONE_BUILD_LINK
    hugo:
      image:
        tag: $ARGO_APP_IMAGE_TAG
      baseURL: https://$ARGO_APP_HOSTNAME/
      buildDrafts: true
      env:
        HUGO_PARAMS_GITBRANCH: $ARGO_APP_BRANCH
        HUGO_PARAMS_REMARK42URL: https://remark42-$ARGO_APP_HOSTNAME
    remark42:
      istio:
        hosts:
          - remark42-$ARGO_APP_HOSTNAME
      settings:
        url: https://remark42-$ARGO_APP_HOSTNAME/
        auth:
          anonymous: true
        secretKey: $ARGO_REMARK42_SECRET
    rclone:
      command: "rclone copy -P badhouseplants-public:/badhouseplants-net/$ARGO_APP_IMAGE_TAG /static"
